> ## Documentation Index
> Fetch the complete documentation index at: https://docs.strideagents.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Knowledge Base

> Create a new knowledge base for the authenticated organization.



## OpenAPI

````yaml POST /knowledge-base
openapi: 3.1.0
info:
  title: Stride Agents API
  description: >

    Build and deploy AI voice agents that can make and receive phone calls with
    natural conversation.


    ## Authentication


    All endpoints require an API key passed via the `Authorization` header:


    ```

    Authorization: Bearer sk_your_api_key

    ```


    ## Resources


    - **Agents** — Create and configure AI voice agents

    - **Calls** — Initiate, monitor, and manage voice calls

    - **Phone Numbers** — Manage phone numbers and routing

    - **Tools** — Define function calling tools for agents

    - **Knowledge Bases** — Upload documents for RAG-powered conversations

    - **Voices** — Browse available TTS voices
  version: 1.0.0
servers:
  - url: /v1
security: []
paths:
  /knowledge-base:
    post:
      tags:
        - Knowledge Bases
      summary: Create a knowledge base
      description: Create a new knowledge base for the authenticated organization.
      operationId: create_knowledge_base_knowledge_base_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateKnowledgeBaseRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KnowledgeBaseResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    CreateKnowledgeBaseRequest:
      properties:
        name:
          type: string
          maxLength: 200
          minLength: 1
          title: Name
          description: Knowledge base name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Optional description
        instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Instructions
          description: Instructions for how to use this knowledge base
        rag_settings:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Rag Settings
          description: RAG configuration settings
      type: object
      required:
        - name
      title: CreateKnowledgeBaseRequest
      description: Request body for creating a new knowledge base.
    KnowledgeBaseResponse:
      properties:
        id:
          type: string
          title: Id
        org_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Org Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Instructions
        rag_settings:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Rag Settings
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      type: object
      required:
        - id
        - name
      title: KnowledgeBaseResponse
      description: Full knowledge base record returned by the API.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    HTTPBearer:
      type: http
      scheme: bearer

````